
QGIS Application - Bug report #4635

Attribute table edit button: only changes to columns are refreshed when Discarding changes

2011-12-12 05:49 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14536

Description

(N.B. I thought a bug like this was reported a long time ago, but I can't find it).

- Open an attribute table

- Click the edit button

- Add or delete a column

- Click the edit button, and then click to Discard changes.

The attribute table will be refreshed as it should be (i.e. the column will disappear or reappear again).

- Open an attribute table

- Click the edit button

- Add or delete a feature, or change one of its attributes

- Click the edit button, and then click to Discard changes.

The attribute table will not be refreshed as it should be.  To refresh it you need to close and reopen it.

Associated revisions

Revision 04a28242 - 2012-02-02 10:05 PM - Jürgen Fischer

execute undo stack on rollBack() (fixes #4635)

Revision 4ba2c39a - 2012-02-11 04:50 PM - Jürgen Fischer

execute undo stack on rollBack() (fixes #4635)

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-02-02 01:06 PM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"04a282425875dbea7cda8cbf68ff1fdbf50e8e78".
